<!DOCTYPE HTML>
<!--
	Massively by HTML5 UP
	html5up.net | @ajlkn
	Free for personal and commercial use under the CCA 3.0 license (html5up.net/license)
-->
<html>
	<head>
		<title> Principles and Project Managment  </title>
		<meta charset="utf-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
		<link rel="stylesheet" href="../assets/css/main.css" />
		<noscript><link rel=".../stylesheet" href="../assets/css/noscript.css" /></noscript>
	</head>
	<body class="is-preload">

		<!-- Wrapper -->
			<div id="wrapper">

				<!-- Header -->
					<header id="header">
						<a href="FabAcademy.html" class="logo">back to fab </a>
					</header>

				<!-- Nav -->
					<nav id="nav">
						<ul class="links">
							<li><a href="FabAcademy.html">back to fab</a></li>
							<li class="active"><a href="principles.html"> Principles and Project Managment </a></li>
						</ul>
						<ul class="icons">
							<li><a href="#" class="icon brands fa-twitter"><span class="label">Twitter</span></a></li>
							<li><a href="#" class="icon brands fa-facebook-f"><span class="label">Facebook</span></a></li>
							<li><a href="#" class="icon brands fa-instagram"><span class="label">Instagram</span></a></li>
							<li><a href="#" class="icon brands fa-github"><span class="label">GitHub</span></a></li>
						</ul>
					</nav>

				<!-- Main -->
					<div id="main">

						<!-- Post -->
							<section class="post">
								<header class="major">
									<span class="date"> 05.02.2020</span>
									<h1> Principles and Project Managment
									</h1>
									<p>It begins !</p>
								</header>

					<div class="image main"><img src="../images/Screenshot_1.jpg" alt="" /> </div>

          <h3> Getting started </h3>
             <p> At the begining of our Master the tutors introduced us to Gitlab and Atom in orderto helpus develop our websites. Both of them are opensource programs.
							 Gitlab is a control system  that lets us manage, share and collaborate on projects through a repository. </p>
 <h2> Gitlab </h2>
				<p> The first step was to download the Gitlab and follow the online instructions to install it. The repo is where all the files related to our website are stored, with its own unique URL. As most of us, have zero previous experience  in Web design the tutors gave us a template to save in our repo and use it as guideline.
							 In order to have the files in our computer and start experimenting with them to make our page, we had to make a clone through the GitBash terminal. </p>
 <br> </br>
        <p> Steps: </p>

       <p> -Open Gitbash </p>
       <p> -Go to the folder where you want to keep your files "cd+folder_name"</p>
       <p> -Type "git init" to link your pc with the repo.</p>
       <p> -Go to your repository and under "Clone or download" copy the url under "SSH key".</p>
       <p> -Go back to Gitbash and type "git clone + paste url you just copied"</p>
       <p> -After this you should have a copy of your repo in your pc.  </p>

			 <br> </br>
<h2> Atom </h2>
			<p>  From now on i basically will only use Atom. After installing it, i added my project by going to File - Add Project Folder and choose my project folder. Atom is a tect editor that allows us to write our code and  then easily upload it to GitLab.
But in order to be able to easily and quickly do that we first have to install the "Github integration" by going to Packages-> Settings view -> Open. Once installed on the bottom right some buttons will appear. Any time you want the changes you made to appear online you have to press :Stage All" then write a "Commit message" then "Commit to Master". The last thing you need to do is press "Push". </p>
<p>  your Web Page is updated! </p>

<p> My first Web Page wasbasedon the template that the tutors provided us with, but with beging oof FabAcademy i decided to make a completely new. For that i decided to use an HTML template and customize it. I downloaded a template from HTML5UP!, a website full of free templates that you can use for your websites. </p>

<h2> My Project </h2>

<br> My final project is going to be about creating energy harvesting kerbs for motorsport circuits. My goal is to help make competitive racing more sustainable by harvesting and using energy produced during the races that is otherway wasted.
<br> I used Rhino to create the form of the kerbs would have when being installed on the tracks.The visible part of them is very simple. I just created a box with the exact dimensions (1m x 80cm x 15cm). After that i used the "turn on solid control points" command and elevated one of the top corners by 25mm. I copied the object 2 more times to create a sequence, and then i added two surfaces, one on each side, to represent the track and the run off area for context.
<img src="../images/kerb4.png" alt="" class="img-fluid">
<img src="../images/kerb3.png" alt="" class="img-fluid">


<br> After creating the the visible part i made a quick sketch of the invisible part of my project, the hydraulic harvesting system.
<img src="../images/hydr.system.jpeg" alt="" class="img-fluid">


<h2> Project Managment </h2>

Computer-Aided Design: Model a prototype of the project
Computer-Controlled Cutting: Laser cut the upper part of kerb and the base.
Electronics production: I am not sure exactly because i have no idea about electronics
3D Scanning and Printing: possible parts of the inside mechanism
Computer-Controlled Machining: create the sides of the oyter part
Embedded Programming: Program the kerb to store the energy when presure is applied to it.



















					<div>
					</div>






			 <p>Filles:








  </p>
							</section>

				 	</div>

				<!-- Footer -->
					<footer id="footer">
						<section>
							<form method="post" action="#">
								<div class="fields">
									<div class="field">
										<label for="name">Name</label>
										<input type="text" name="name" id="name" />
									</div>
									<div class="field">
										<label for="email">Email</label>
										<input type="text" name="email" id="email" />
									</div>
									<div class="field">
										<label for="message">Message</label>
										<textarea name="message" id="message" rows="3"></textarea>
									</div>
								</div>
								<ul class="actions">
									<li><input type="submit" value="Send Message" /></li>
								</ul>
							</form>
						</section>

							<section>
								<h3>Social</h3>
								<ul class="icons alt">
									<li><a href="#" class="icon brands alt fa-twitter"><span class="label">Twitter</span></a></li>
									<li><a href="#" class="icon brands alt fa-facebook-f"><span class="label">Facebook</span></a></li>
									<li><a href="#" class="icon brands alt fa-instagram"><span class="label">Instagram</span></a></li>
									<li><a href="#" class="icon brands alt fa-github"><span class="label">GitHub</span></a></li>
								</ul>
							</section>
						</section>
					</footer>

				<!-- Copyright -->
					<div id="copyright">
						<ul><li>&copy; Untitled</li><li>Design: <a href="https://html5up.net">HTML5 UP</a></li></ul>
					</div>

			</div>

		<!-- Scripts -->
			<script src="assets/js/jquery.min.js"></script>
			<script src="assets/js/jquery.scrollex.min.js"></script>
			<script src="assets/js/jquery.scrolly.min.js"></script>
			<script src="assets/js/browser.min.js"></script>
			<script src="assets/js/breakpoints.min.js"></script>
			<script src="assets/js/util.js"></script>
			<script src="assets/js/main.js"></script>

	</body>
</html>
